"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const NewPicker_1 = __importDefault(require("../component/NewPicker"));
const SceneUtils_1 = __importDefault(require("../utils/SceneUtils"));
const BodyUtils_1 = __importDefault(require("../utils/BodyUtils"));
const Storage_1 = __importDefault(require("../utils/Storage"));
const BodyDetails = (_a) => {
    var props = __rest(_a, []);
    const [heightFeet, setHeightFeet] = (0, react_1.useState)("5");
    const [heightFeetMale, setHeightFeetMale] = (0, react_1.useState)("5");
    const [heightInch, setHeightInch] = (0, react_1.useState)("8");
    const [heightInchMale, setHeightInchMale] = (0, react_1.useState)("11");
    const [weight, setWeight] = (0, react_1.useState)("56");
    const [weightMale, setWeightMale] = (0, react_1.useState)("60");
    const [bandSize, setBandSize] = (0, react_1.useState)("30");
    const [chestSize, setChestSize] = (0, react_1.useState)("38");
    const [cupSize, setCupSize] = (0, react_1.useState)("A");
    const [waist, setWaist] = (0, react_1.useState)("Auto");
    const [waistMale, setWaistMale] = (0, react_1.useState)("Auto");
    const [hip, setHip] = (0, react_1.useState)("Auto");
    const [hipMale, setHipMale] = (0, react_1.useState)("Auto");
    const [selectedHeaderIndex, setSelectedHeaderIndex] = (0, react_1.useState)(0);
    const [bodyShapeIndex, setBodyShapeIndex] = (0, react_1.useState)(0);
    const [bodyDetailsSaved, setBodyDetailsSaved] = (0, react_1.useState)(false);
    const [bodyDetailsSavedMale, setBodyDetailsSavedMale] = (0, react_1.useState)(false);
    const [is_male, setIsMale] = (0, react_1.useState)(props.navigation.getParam('is_male'));
    let _ownProps = '';
    (0, react_1.useEffect)(() => {
        _ownProps = props.navigation.getParam('ownProps');
        _ownProps.logEvent(_ownProps.uuid, SceneUtils_1.default.ENTER_DETAILS_PAGE, '');
        is_male ? Storage_1.default.retrieveData("bodyDetailsMale", (value) => {
            if (value != null) {
                const bodyDetails = JSON.parse(value);
                console.log('BodyDetails male ', bodyDetails.bodyDetailsSavedMale);
                setHeightFeetMale(bodyDetails.heightFeetMale);
                setHeightInchMale(bodyDetails.heightInchMale);
                setWaistMale(bodyDetails.waistMale);
                setHipMale(bodyDetails.hipMale);
                setWeightMale(bodyDetails.weightMale);
                setChestSize(bodyDetails.chestSize);
                setBodyDetailsSavedMale(bodyDetails.bodyDetailsSavedMale);
                SceneUtils_1.default.callLogEventTNB(_ownProps.uuid, SceneUtils_1.default.PERSONALISE_LOAD, `{styleID: ${_ownProps.styleid}, sessionID: ${_ownProps.sessionid}, deviceID: ${_ownProps.deviceid}, height: ${heightFeetMale}'${heightInchMale}", weight: ${weightMale}, waist: ${waistMale}, hip: ${hipMale}, chest: ${chestSize}}`); //TNB log
            }
        }) :
            Storage_1.default.retrieveData("bodyDetails", (value) => {
                if (value != null) {
                    const bodyDetails = JSON.parse(value);
                    console.log('BodyDetails female ', bodyDetails.bodyDetailsSaved);
                    setHeightFeet(bodyDetails.heightFeet);
                    setHeightInch(bodyDetails.heightInch);
                    setWaist(bodyDetails.waist);
                    setHip(bodyDetails.hip);
                    setWeight(bodyDetails.weight);
                    setBandSize(bodyDetails.bandSize);
                    setCupSize(bodyDetails.cupSize);
                    setSelectedHeaderIndex(bodyDetails.selectedHeaderIndex);
                    setBodyShapeIndex(bodyDetails.bodyShapeIndex);
                    setBodyDetailsSaved(bodyDetails.bodyDetailsSaved);
                    SceneUtils_1.default.callLogEventTNB(_ownProps.uuid, SceneUtils_1.default.PERSONALISE_LOAD, `{styleID: ${_ownProps.styleid}, sessionID: ${_ownProps.sessionid}, deviceID: ${_ownProps.deviceid}, height: ${heightFeet}'${heightInch}", weight: ${weight}, waist: ${waist}, hip: ${hip}, bandSize: ${bandSize}, cupSize: ${cupSize}, bodyShape: ${selectedHeaderIndex}, ethnicity: ${bodyShapeIndex}}`); //TNB log
                }
            });
    }, []);
    const setHorizontalDropDownChange = (val, type) => {
        _ownProps = props.navigation.getParam('ownProps');
        switch (type) {
            case "Height":
                is_male ? setHeightFeetMale(val) : setHeightFeet(val);
                SceneUtils_1.default.callLogEventTNB(_ownProps.uuid, SceneUtils_1.default.HEIGHT_INPUT, `{styleID: ${_ownProps.styleid}, sessionID: ${_ownProps.sessionid}, deviceID: ${_ownProps.deviceid}, height: ${val}'${heightInch}"`); //TNB log
                break;
            case "Waist":
                is_male ? setWaistMale(val) : setWaist(val);
                SceneUtils_1.default.callLogEventTNB(_ownProps.uuid, SceneUtils_1.default.WAIST_SELECTION, `{styleID: ${_ownProps.styleid}, sessionID: ${_ownProps.sessionid}, deviceID: ${_ownProps.deviceid}, waist: ${val}`); //TNB log
                break;
            case "Hips":
                is_male ? setHipMale(val) : setHip(val);
                SceneUtils_1.default.callLogEventTNB(_ownProps.uuid, SceneUtils_1.default.HIP_SELECTION, `{styleID: ${_ownProps.styleid}, sessionID: ${_ownProps.sessionid}, deviceID: ${_ownProps.deviceid}, hip: ${val}}`); //TNB log
                break;
            default:
                is_male ? setHeightInchMale(val) : setHeightInch(val);
                SceneUtils_1.default.callLogEventTNB(_ownProps.uuid, SceneUtils_1.default.HEIGHT_INPUT, `{styleID: ${_ownProps.styleid}, sessionID: ${_ownProps.sessionid}, deviceID: ${_ownProps.deviceid}, height: ${heightFeetMale}'${val}"}`); //TNB log
                break;
        }
    };
    const renderHorizontalDropDown = (label1, measureType1, label2, measureType2, renderWeightBool) => {
        _ownProps = props.navigation.getParam('ownProps');
        return (react_1.default.createElement(react_native_1.View, { style: styles.heightWeightContainer },
            react_1.default.createElement(react_native_1.View, { style: { width: renderWeightBool ? "25%" : "50%" } },
                react_1.default.createElement(react_native_1.Text, { style: [styles.label] }, label1),
                react_1.default.createElement(react_native_1.View, { style: [styles.dropDownContainer, { width: "95%" }] },
                    react_1.default.createElement(NewPicker_1.default, { onValueChange: (value) => {
                            setHorizontalDropDownChange(value, label1);
                        }, items: label1 === "Waist"
                            ? BodyUtils_1.default.waistOption
                            : BodyUtils_1.default.heightFeetOptions, value: label1 === "Height" ? (is_male ? heightFeetMale : heightFeet) : (is_male ? waistMale : waist), style: styles }),
                    react_1.default.createElement(react_native_1.Text, { style: styles.year }, measureType1))),
            react_1.default.createElement(react_native_1.View, { style: { width: renderWeightBool ? "25%" : "50%" } },
                react_1.default.createElement(react_native_1.Text, { style: [styles.label, { marginLeft: 8 }] }, label2),
                react_1.default.createElement(react_native_1.View, { style: [styles.dropDownContainer, { width: "95%", marginLeft: 8 }] },
                    react_1.default.createElement(NewPicker_1.default, { onValueChange: (value) => {
                            setHorizontalDropDownChange(value, label2);
                        }, items: label2 === "Hips"
                            ? BodyUtils_1.default.hipOption
                            : BodyUtils_1.default.heightInchOptions, value: label2 === "Hips" ? (is_male ? hipMale : hip) : (is_male ? heightInchMale : heightInch), style: styles }),
                    react_1.default.createElement(react_native_1.Text, { style: styles.year }, measureType2))),
            renderWeightBool && react_1.default.createElement(react_native_1.View, { style: { width: "50%", marginLeft: 16 } },
                react_1.default.createElement(react_native_1.Text, { style: [styles.label] }, 'Weight'),
                react_1.default.createElement(react_native_1.View, { style: { flexDirection: "row", alignItems: "center", marginTop: 8 } },
                    react_1.default.createElement(react_native_1.TextInput, { keyboardType: "numeric", onChangeText: (text) => {
                            is_male ? setWeightMale(text) : setWeight(text);
                            SceneUtils_1.default.callLogEventTNB(_ownProps.uuid, SceneUtils_1.default.WEIGHT_INPUT, `{styleID: ${_ownProps.styleid}, sessionID: ${_ownProps.sessionid}, deviceID: ${_ownProps.deviceid}, weight: ${text}}`); //TNB log
                        }, value: is_male ? weightMale : weight, style: styles.weightInput, returnKeyType: "done" }),
                    react_1.default.createElement(react_native_1.Text, { style: [styles.year, { marginLeft: -30 }] }, 'kg')))));
    };
    const renderBandSize = () => (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(react_native_1.Text, { style: [styles.label, { marginLeft: 16, }] }, is_male ? 'Chest Size' : 'Band Size'),
        react_1.default.createElement(react_native_1.FlatList, { data: is_male ? BodyUtils_1.default.chestSize : BodyUtils_1.default.bandSize, contentContainerStyle: { paddingRight: 16 }, horizontal: true, renderItem: renderBandSizeItem, showsHorizontalScrollIndicator: false, keyExtractor: (item, index) => index.toString() })));
    const renderBandSizeItem = (item) => {
        _ownProps = props.navigation.getParam('ownProps');
        return react_1.default.createElement(react_native_1.View, { style: {
                marginLeft: item.index === 0 ? 10 : 16,
                height: 40,
                marginTop: 11
            } },
            react_1.default.createElement(react_native_1.TouchableOpacity, { onPress: () => {
                    if (is_male) {
                        setChestSize(item.item);
                        SceneUtils_1.default.callLogEventTNB(_ownProps.uuid, SceneUtils_1.default.BAND_SIZE_PILL, `{styleID: ${_ownProps.styleid}, sessionID: ${_ownProps.sessionid}, deviceID: ${_ownProps.deviceid}, chest: ${item.item}}`); //TNB log
                    }
                    else {
                        setBandSize(item.item);
                        SceneUtils_1.default.callLogEventTNB(_ownProps.uuid, SceneUtils_1.default.BAND_SIZE_PILL, `{styleID: ${_ownProps.styleid}, sessionID: ${_ownProps.sessionid}, deviceID: ${_ownProps.deviceid}, bandSize: ${item.item}}`); //TNB log
                    }
                }, style: {
                    height: 40,
                    width: 40,
                    justifyContent: "flex-end",
                    alignItems: "center",
                } },
                react_1.default.createElement(react_native_1.Text, { style: [
                        styles.genderText,
                        is_male ? chestSize === item.item && styles.selectedCircle : bandSize === item.item && styles.selectedCircle,
                    ] }, item.item)));
    };
    const renderCupSize = () => (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(react_native_1.Text, { style: [styles.label, { marginLeft: 16 }] }, "Cup Size"),
        react_1.default.createElement(react_native_1.FlatList, { data: BodyUtils_1.default.cupSize, contentContainerStyle: { paddingRight: 16 }, horizontal: true, renderItem: renderCupSizeItem, showsHorizontalScrollIndicator: false, keyExtractor: (item, index) => index.toString() })));
    const renderCupSizeItem = (item) => {
        _ownProps = props.navigation.getParam('ownProps');
        return react_1.default.createElement(react_native_1.View, { style: {
                marginLeft: item.index === 0 ? 10 : 16,
                height: 40,
                marginTop: 11,
            } },
            react_1.default.createElement(react_native_1.TouchableOpacity, { onPress: () => {
                    setCupSize(item.item);
                    SceneUtils_1.default.callLogEventTNB(_ownProps.uuid, SceneUtils_1.default.CUP_SIZE_PILL, `{styleID: ${_ownProps.styleid}, sessionID: ${_ownProps.sessionid}, deviceID: ${_ownProps.deviceid}, cupSize: ${cupSize}}`); //TNB log
                }, style: {
                    height: 40,
                    width: 40,
                    justifyContent: "flex-end",
                    alignItems: "center",
                } },
                react_1.default.createElement(react_native_1.Text, { style: [
                        styles.genderText,
                        cupSize === item.item && styles.selectedCircle,
                    ] }, item.item)));
    };
    const onPressButton = () => __awaiter(void 0, void 0, void 0, function* () {
        _ownProps = props.navigation.getParam('ownProps');
        let weightError = true;
        if (is_male) {
            if (weightMale !== "0" && weightMale !== '')
                weightError = false;
        }
        else {
            if (weight !== "0" && weight !== '')
                weightError = false;
        }
        if (!weightError) {
            let msg = '';
            if (is_male) {
                if (parseFloat(weightMale) > BodyUtils_1.default.male_max_weight) {
                    console.log("🚀 ~ file: BodyDetails.js ~ line 258 ~ onPressButton ~ parseFloat(weight)", parseFloat(weight));
                    msg = `Maximum allowed weight for male body is ${BodyUtils_1.default.male_max_weight} kg`;
                }
                else if (parseFloat(weightMale) < BodyUtils_1.default.male_min_weight) {
                    msg = `Minimum allowed weight for male body is ${BodyUtils_1.default.male_min_weight} kg`;
                }
            }
            else {
                if (parseFloat(weight) > BodyUtils_1.default.female_max_weight) {
                    msg = `Maximum allowed weight for female body is ${BodyUtils_1.default.female_max_weight} kg`;
                }
                else if (parseFloat(weight) < BodyUtils_1.default.female_min_weight) {
                    msg = `Minimum allowed weight for female body is ${BodyUtils_1.default.female_min_weight} kg`;
                }
            }
            if (msg === '') {
                is_male ? Storage_1.default.saveItem("bodyDetailsMale", JSON.stringify({
                    heightFeetMale: heightFeetMale,
                    heightInchMale: heightInchMale,
                    waistMale: waistMale,
                    hipMale: hipMale,
                    weightMale: weightMale,
                    chestSize: chestSize,
                    bodyDetailsSavedMale: true,
                    sz_male: `${heightFeetMale}.${heightInchMale},${Math.round(Number(weightMale))},${chestSize},'',${waistMale},${hipMale},1`
                })) :
                    Storage_1.default.saveItem("bodyDetails", JSON.stringify({
                        heightFeet: heightFeet,
                        heightInch: heightInch,
                        waist: waist,
                        hip: hip,
                        weight: weight,
                        bandSize: bandSize,
                        cupSize: cupSize,
                        selectedHeaderIndex: selectedHeaderIndex,
                        bodyShapeIndex: bodyShapeIndex,
                        bodyDetailsSaved: true,
                        sz: `${heightFeet}.${heightInch},${Math.round(Number(weight))},${bandSize},${cupSize},${waist},${hip},${selectedHeaderIndex}`
                    }), () => console.log());
                is_male ? Storage_1.default.saveItem('firstLaunchMale', "0") : Storage_1.default.saveItem('firstLaunch', "0");
                let body_data = '';
                if (is_male) {
                    body_data = `${heightFeetMale}.${heightInchMale},${Math.round(Number(weightMale))},${chestSize},'',${waistMale},${hipMale},1`;
                    SceneUtils_1.default.callLogEventTNB(_ownProps.uuid, SceneUtils_1.default.DONE_CLICKED_PERSONALISE, `{styleID: ${_ownProps.styleid}, sessionID: ${_ownProps.sessionid}, deviceID: ${_ownProps.deviceid}, height: ${heightFeetMale}'${heightInchMale}", weight: ${weightMale}, waist: ${waistMale}, hip: ${hipMale}, chest: ${chestSize}}`); //TNB log
                }
                else {
                    body_data = `${heightFeet}.${heightInch},${Math.round(Number(weight))},${bandSize},${cupSize},${waist},${hip},${selectedHeaderIndex}`;
                    SceneUtils_1.default.callLogEventTNB(_ownProps.uuid, SceneUtils_1.default.DONE_CLICKED_PERSONALISE, `{styleID: ${_ownProps.styleid}, sessionID: ${_ownProps.sessionid}, deviceID: ${_ownProps.deviceid}, height: ${heightFeet}'${heightInch}", weight: ${weight}, waist: ${waist}, hip: ${hip}, bandSize: ${bandSize}, cupSize: ${cupSize}, bodyShape: ${selectedHeaderIndex}, ethnicity: ${bodyShapeIndex}}`); //TNB log
                }
                _ownProps.logEvent(_ownProps.uuid, SceneUtils_1.default.ENTER_DETAILS_PAGE_COMPLETE, `{body_data: ${body_data}}`);
                props.navigation.goBack();
                props.navigation.state.params.onGoBack();
            }
            else {
                // Snackbar.show({
                //   text: msg,
                //   duration: Snackbar.LENGTH_LONG,
                // });
            }
        }
        else {
            // Snackbar.show({
            //   text: 'Weight cannot be empty!',
            //   duration: Snackbar.LENGTH_SHORT,
            // });
        }
    });
    const renderButton = () => (react_1.default.createElement(react_native_1.TouchableOpacity, { style: styles.button, onPress: onPressButton },
        react_1.default.createElement(react_native_1.Text, { style: styles.saveText }, "DONE")));
    const renderBodyHeader = () => (react_1.default.createElement(react_native_1.View, null,
        react_1.default.createElement(react_native_1.View, { style: { flexDirection: 'row', marginLeft: 16, marginTop: 25 } },
            react_1.default.createElement(react_native_1.Text, { style: { color: SceneUtils_1.default.text_color_3, fontFamily: SceneUtils_1.default.whitney_book } }, "Choose body shape"),
            react_1.default.createElement(react_native_1.Text, { style: { color: SceneUtils_1.default.text_color_2, fontFamily: SceneUtils_1.default.whitney_book } }, " (refer to images below)")),
        react_1.default.createElement(react_native_1.FlatList, { contentContainerStyle: { paddingLeft: 16, paddingRight: 16 }, data: BodyUtils_1.default.body_shape, horizontal: true, renderItem: renderItem, showsHorizontalScrollIndicator: false, keyExtractor: (item, index) => index.toString() })));
    const calculateBodySize = (item) => {
        _ownProps = props.navigation.getParam('ownProps');
        SceneUtils_1.default.callLogEventTNB(_ownProps.uuid, SceneUtils_1.default.BODY_SHAPE_SELECTION, `{styleID: ${_ownProps.styleid}, sessionID: ${_ownProps.sessionid}, deviceID: ${_ownProps.deviceid}, bodyShape: ${item.id}}`); //TNB log
        setSelectedHeaderIndex(item.id);
        //Calculate waist and hip from bust and body shape
        let _waistAvg = 0, _hipAvg = 0;
        const shapeObj = BodyUtils_1.default.bodyShapeMatrix.find(c => c.id === item.id);
        const _waistMin = parseFloat(bandSize) * shapeObj.waist_min;
        const _waistMax = parseFloat(bandSize) * shapeObj.waist_max;
        if (_waistMin && _waistMax)
            _waistAvg = (_waistMin + _waistMax) / 2;
        else if (_waistMin)
            _waistAvg = _waistMin;
        else if (_waistMax)
            _waistAvg = _waistMax;
        setWaist(`${Math.round(_waistAvg)}`);
        const _hipMin = parseFloat(bandSize) * shapeObj.hip_min;
        const _hipMax = parseFloat(bandSize) * shapeObj.hip_max;
        if (_hipMin && _hipMax)
            _hipAvg = (_hipMin + _hipMax) / 2;
        else if (_hipMin)
            _hipAvg = _hipMin;
        else if (_hipMax)
            _hipAvg = _hipMax;
        setHip(`${Math.round(_hipAvg)}`);
    };
    const renderItem = (item) => (react_1.default.createElement(react_native_1.TouchableOpacity, { onPress: () => {
            calculateBodySize(item.item);
        }, style: [
            styles.renderItemContainer,
            {
                marginLeft: item.item.id !== 0 ? 8 : 0,
                borderColor: item.item.id == selectedHeaderIndex
                    ? SceneUtils_1.default.primary_color
                    : SceneUtils_1.default.secondary_color,
            },
        ] },
        react_1.default.createElement(react_native_1.Text, { style: [styles.itemText, { color: item.item.id == selectedHeaderIndex
                        ? SceneUtils_1.default.primary_color
                        : SceneUtils_1.default.text_color }] }, item.item.name)));
    const decreaseIndex = () => {
        _ownProps = props.navigation.getParam('ownProps');
        const _bodyShape = BodyUtils_1.default.Shapes.find(c => c.id == selectedHeaderIndex);
        if (bodyShapeIndex === 0) {
            setBodyShapeIndex(_bodyShape.images.length - 1);
        }
        else {
            setBodyShapeIndex(bodyShapeIndex - 1);
        }
        SceneUtils_1.default.callLogEventTNB(_ownProps.uuid, SceneUtils_1.default.ETHNICITY_MINUS_CLICKED, `{styleID: ${_ownProps.styleid}, sessionID: ${_ownProps.sessionid}, deviceID: ${_ownProps.deviceid}, ethnicity: ${bodyShapeIndex}}`); //TNB log
    };
    const increaseIndex = () => {
        _ownProps = props.navigation.getParam('ownProps');
        const _bodyShape = BodyUtils_1.default.Shapes.find(c => c.id == selectedHeaderIndex);
        if (bodyShapeIndex === _bodyShape.images.length - 1) {
            setBodyShapeIndex(0);
        }
        else {
            setBodyShapeIndex(bodyShapeIndex + 1);
        }
        SceneUtils_1.default.callLogEventTNB(_ownProps.uuid, SceneUtils_1.default.ETHNICITY_PLUS_CLICKED, `{styleID: ${_ownProps.styleid}, sessionID: ${_ownProps.sessionid}, deviceID: ${_ownProps.deviceid}, ethnicity: ${bodyShapeIndex}}`); //TNB log
    };
    const renderBodyShape = () => {
        const _bodyShape = BodyUtils_1.default.Shapes.find(c => c.id == selectedHeaderIndex);
        const body_image = _bodyShape && _bodyShape.images[bodyShapeIndex];
        return react_1.default.createElement(react_native_1.View, { style: styles.bodyShapeContainer },
            react_1.default.createElement(react_native_1.View, { style: styles.flexRow },
                !is_male && (react_1.default.createElement(react_native_1.TouchableOpacity, { onPress: decreaseIndex, style: styles.img },
                    react_1.default.createElement(react_native_1.Image, { style: { resizeMode: "contain", width: 100, height: 200 }, source: { uri: `${SceneUtils_1.default.BASE_URL}/assets/images/shapes/Left-Shape.png` } }),
                    react_1.default.createElement(react_native_1.Image, { style: styles.plusMinus, source: { uri: `${SceneUtils_1.default.BASE_URL}/assets/images/shapeicon/minus-icon.png` } }))),
                react_1.default.createElement(react_native_1.View, { style: [styles.bodyImgOuter, { marginTop: is_male ? 20 : 0 }] },
                    react_1.default.createElement(react_native_1.Image, { style: { height: 350, width: is_male ? 230 : 200, alignSelf: "center", resizeMode: 'contain' }, source: is_male
                            ? { uri: `${SceneUtils_1.default.BASE_URL}/assets/images/men-body-measurments.png` }
                            : { uri: `${SceneUtils_1.default.BASE_URL}/${body_image}` } })),
                !is_male && (react_1.default.createElement(react_native_1.TouchableOpacity, { style: styles.img, onPress: increaseIndex },
                    react_1.default.createElement(react_native_1.Image, { style: { resizeMode: "contain", width: 100, height: 200 }, source: { uri: `${SceneUtils_1.default.BASE_URL}/assets/images/shapes/Right-Shape.png` } }),
                    react_1.default.createElement(react_native_1.Image, { style: styles.plusMinus, source: { uri: `${SceneUtils_1.default.BASE_URL}/assets/images/shapeicon/plus-icon.png` } })))));
    };
    return (react_1.default.createElement(react_native_1.SafeAreaView, { style: styles.container },
        react_1.default.createElement(react_native_1.View, { style: styles.innerContainer },
            react_1.default.createElement(react_native_1.TouchableOpacity, { style: { alignItems: "flex-end", marginRight: 20 }, onPress: () => {
                    SceneUtils_1.default.callLogEventTNB(props.navigation.getParam('ownProps').uuid, SceneUtils_1.default.CLOSE_ICON_CLICKED_PERSONALISE, `{styleID: ${props.navigation.getParam('ownProps').styleid}, sessionID: ${props.navigation.getParam('ownProps').sessionid}, deviceID: ${props.navigation.getParam('ownProps').deviceid}}`); //TNB log
                    props.navigation.goBack();
                } },
                react_1.default.createElement(react_native_1.Image, { style: styles.cross, source: require("../assets/images/letter-x.png") })),
            react_1.default.createElement(react_native_1.Text, { style: styles.headerTitle }, "Personalise your body shape"),
            react_1.default.createElement(react_native_1.Text, { style: [styles.autofill, { fontStyle: 'normal', color: SceneUtils_1.default.text_color_3, fontFamily: SceneUtils_1.default.whitney_book }] }, "& edit the following for better size recommendations"),
            react_1.default.createElement(react_native_1.ScrollView, null,
                renderHorizontalDropDown("Height", "ft", " ", "in", true),
                renderBandSize(),
                !is_male && renderCupSize(),
                renderHorizontalDropDown("Waist", "in", "Hips", "in", false),
                !is_male && react_1.default.createElement(react_native_1.Text, { style: [styles.autofill, { fontFamily: SceneUtils_1.default.whitney_bookItalic }] }, "Autofilled from selected body shape"),
                !is_male && renderBodyHeader(),
                renderBodyShape()),
            renderButton())));
};
exports.default = BodyDetails;
const styles = react_native_1.StyleSheet.create({
    container: {
        flex: 1,
        backgroundColor: "#FFF",
    },
    innerContainer: {
        flex: 1,
        marginTop: 20,
    },
    headerTitle: {
        fontSize: 18,
        fontFamily: SceneUtils_1.default.whitney_semibold,
        marginLeft: 16,
        marginTop: 20,
    },
    txtInput: {
        height: 40,
        borderWidth: 1,
        borderRadius: 4,
        borderColor: SceneUtils_1.default.secondary_color,
        marginTop: 8,
        paddingLeft: 8,
        fontFamily: SceneUtils_1.default.whitney_semibold
    },
    label: {
        color: SceneUtils_1.default.text_color_3,
        fontSize: 14,
        marginTop: 22,
        fontFamily: SceneUtils_1.default.whitney_book
    },
    dropDownContainer: {
        borderWidth: 1,
        borderRadius: 4,
        borderColor: SceneUtils_1.default.secondary_color,
        marginTop: 8,
        width: "48%",
        height: 40,
        justifyContent: "space-between",
        flexDirection: "row",
        alignItems: "center",
    },
    year: {
        fontSize: 12,
        color: SceneUtils_1.default.text_color_3,
        fontFamily: SceneUtils_1.default.whitney_book,
        marginRight: 8,
    },
    viewContainer: {
        width: "75%",
        justifyContent: "center",
        paddingLeft: 8,
    },
    heightWeightContainer: {
        flexDirection: "row",
        marginHorizontal: 16,
    },
    genderText: {
        fontSize: 16,
        height: 40,
        width: "100%",
        color: SceneUtils_1.default.text_color,
        borderColor: SceneUtils_1.default.text_color,
        fontFamily: SceneUtils_1.default.whitney_semibold,
        borderRadius: 20,
        borderWidth: 1,
        textAlign: "center",
        paddingTop: 10,
    },
    selectedCircle: {
        borderColor: SceneUtils_1.default.primary_color,
        color: SceneUtils_1.default.primary_color,
    },
    cross: {
        height: 17,
        width: 17,
    },
    bodyShapeTitle: {
        fontSize: 14,
        marginTop: 40,
        marginLeft: 16,
    },
    bodyShape: {
        color: SceneUtils_1.default.primary_color,
        fontWeight: "bold",
        fontSize: 14,
        marginLeft: 16,
        marginTop: 8,
    },
    button: {
        width: '96%',
        height: 48,
        backgroundColor: SceneUtils_1.default.primary_color,
        borderRadius: 4,
        marginVertical: 10,
        justifyContent: "center",
        alignItems: "center",
        position: "absolute",
        bottom: 0,
        marginHorizontal: 10,
    },
    saveText: {
        color: "#FFF",
        fontSize: 14,
        fontFamily: SceneUtils_1.default.whitney_semibold,
    },
    weightInput: {
        width: "90%",
        borderWidth: 1,
        borderColor: SceneUtils_1.default.secondary_color,
        height: 40,
        borderRadius: 4,
        padding: 8,
        fontSize: 14,
        color: SceneUtils_1.default.text_color,
        fontFamily: SceneUtils_1.default.whitney_semibold
    },
    autofill: {
        fontSize: 14,
        color: SceneUtils_1.default.text_color_2,
        marginLeft: 16,
        marginTop: 7
    },
    renderItemContainer: {
        padding: 12,
        borderRadius: 24,
        borderWidth: 1,
        borderColor: "grey",
        marginTop: 14,
    },
    itemText: {
        fontSize: 14,
        fontFamily: SceneUtils_1.default.whitney_semibold,
        color: SceneUtils_1.default.text_color,
    },
    bodyShapeContainer: {
        marginTop: 10,
        alignItems: "center",
        paddingBottom: 60
    },
    bodyImgOuter: {
        width: "40%"
    },
    flexRow: {
        flexDirection: "row"
    },
    plusMinus: {
        position: "absolute",
        width: 15,
        height: 15
    },
    img: {
        justifyContent: "center",
        alignItems: "center",
        width: "30%"
    },
    flexDirectionRow: {
        flexDirection: "row",
        alignItems: "flex-end"
    },
});
//# sourceMappingURL=BodyDetails.js.map